//This file is part of the LTakeshi v0.0 library written in -*- C++ -*-

//LTakeshi v0.0: a multi-platform C++ library for GUI management
//Copyright (C) Luca Saiu, 1999-2000

//This is free software; you can redistribute it and/or modify it
//under the terms of the GNU Lesser General Public License version 2.1
//as published by the Free Software Foundation.

//This software is distributed in the hope that it will be useful, but
//WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//Lesser General Public License for more details.

//You should have received a copy of the GNU Lesser General Public
//License along with this file; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.


//Luca Saiu
//------------------------------------------
//e-mail:      positrone@freemail.it
//paper mail:  Via Camporcioni, 15
//             51019 Ponte Buggianese - Pistoia
//             Italy
//telephone:   0572-635477 Italy


#ifndef LCOMMONDIALOGS_H_
#define LCOMMONDIALOGS_H_

#include "../Lstring/Lstring.h"
#include "LTypes.h"

// Show a modal dialog window displaying the given text and a standard 'Ok'
// button to close it.
void ShowMessage(Lstring text);

// To do: write a comment
void ChoiceDialog(Lstring text,Lstring button1="",LCallBack c1=0,
                               Lstring button2="",LCallBack c2=0,
                               Lstring button3="",LCallBack c3=0,
                               Lstring button4="",LCallBack c4=0,
                               Lstring button5="",LCallBack c5=0);

#endif //#ifndef LCOMMONDIALOGS_H_






