#ifndef LEVENT_H_
#define LEVENT_H_


// Any printable ASCII char is represented as itself (cast to an LKey);
// For other keys a unique representation exists:
typedef int LKey;
// To do: extern declarations...

// A simple enum to identify a pointer button:
enum LMouseButton{
  LButton1,
  LButton2,
  LButton3,
  LButton4,
  LButton5
};

struct LMouseEvent{
  int x,y;
  LMouseButton MouseButton;
};

struct LKeyboardEvent{
  LKey key;
};

union LEvent{
  LMouseEvent    MouseEvent;
  LKeyboardEvent KeyboardEvent;
};

// A special event needed when a parameter is requested but we have no
// values to pass (defined in LEvent.cc):
extern LEvent LVoidEvent;

#endif //#ifndef LEVENT_H_

